#include <iostream>
#include "Circle.h"
#include <vector>

using namespace std;

int main() {
    Circle c;
    c.playGame(10,2);
    c.playGame(9,2);
    c.playGame(21,2);
    c.playGame(10,-2);
    c.reportSafeIndex(10,2);
    c.reportSafeIndex(9,11);
    c.reportSafeIndex(21,6);
    c.reportSafeIndex(20,6);
    c.reportSafeIndex(20,-1);


}
